%global srcname gammu
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:       python-gammu
Version:    2.4
Release:    1%{?dist}
Summary:    Python bindings for Gammu
Group:      Development/Languages
License:    GPLv2+
URL:        http://wammu.eu/python-gammu/
Source0:    https://github.com/gammu/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  python2-devel python3-devel
BuildRequires:  python-setuptools
BuildRequires:  gammu-devel >= 1.35

Obsoletes:      %{name} <= 0.28

Requires:       gammu >= 1.35

%{?python_provide:%python_provide python2-%{srcname}}

%description
Python bindings for Gammu library.
It currently does not support all Gammu features,
but range of covered functions is increasing,
if you need some specific, feel free to use bug tracking system for feature
requests.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Python bindings for Gammu library.
It currently does not support all Gammu features,
but range of covered functions is increasing,
if you need some specific, feel free to use bug tracking system for feature
requests.

%package -n python3-%{srcname}
Summary:  Python bindings for Gammu
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Python3 bindings for Gammu library.
It currently does not support all Gammu features,
but range of covered functions is increasing,
if you need some specific, feel free to use bug tracking system for feature
requests.

%prep
%setup -q

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# couldn't solve python-gammu[5318]: DBI failed to initialize!
%{__python2} setup.py test || :
%{__python3} setup.py test || :

%files -n python2-%{srcname}
%doc AUTHORS NEWS.rst README.rst
%license COPYING
%{python_sitearch}/gammu
%{python_sitearch}/python_gammu-*.egg-info
%{python3_sitearch}/gammu

%files -n python3-%{srcname}
%doc AUTHORS NEWS.rst README.rst
%license COPYING
%{python3_sitearch}/python_gammu-*.egg-info

%changelog
* Sun Nov 08 2015 Sérgio Basto <sergio@serjux.com> - 2.4-1
- Update python-gammu to 2.4
- Added python3 support

* Tue Jun 16 2015 Sérgio Basto <sergio@serjux.com> - 2.3-1
- Initial RPM release.
- python-gammu is independent since gammu-1.36
